WorkflowDocService (gCube Workflow Documents Manager Portlet 2.1.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wfdocviewer.client
Interface WorkflowDocService

All Superinterfaces:
  com.google.gwt.user.client.rpc.RemoteService

All Known Implementing Classes:
  WorkflowDocServiceImpl

    @RemoteServiceRelativePath(value="greet")
    public interface WorkflowDocService

extends com.google.gwt.user.client.rpc.RemoteService

The client side stub for the RPC service.

Method Summary
`Boolean` | `deleteWorkflowDocument(WfDocumentBean docBean)`
`ArrayList<ActionLogBean>` | `fetchActionsByWorkflowId(String workflowid)`
`ArrayList<WfTemplateBean>` | `getAllTemplates()`
`ArrayList<WfDocumentBean>` | `getAllWfDocuments()`
`ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>` | `getRoleDetails()`
`ArrayList<UserBean>` | `getVREUsers()`
`org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate` | `getWfReport(String id)`
`org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate` | `getWfTemplate(String id)`
`Boolean` | `saveWorkflow(String selectedReportid, String selectedReportName, org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave, HashMap<String,List<UserBean>> rolesAndUsersToCreate)`

Method Detail

### getAllTemplates

    ArrayList<WfTemplateBean> getAllTemplates()

### getAllWfDocuments

    ArrayList<WfDocumentBean> getAllWfDocuments()

### getWfTemplate

    org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate getWfTemplate(String id)

### getWfReport

    org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate getWfReport(String id)

### getRoleDetails

    ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> getRoleDetails()

### getVREUsers

    ArrayList<UserBean> getVREUsers()

### saveWorkflow

    Boolean saveWorkflow(String selectedReportid,
                         String selectedReportName,
                         org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave,
                         HashMap<String,List<UserBean>> rolesAndUsersToCreate)

### fetchActionsByWorkflowId

    ArrayList<ActionLogBean> fetchActionsByWorkflowId(String workflowid)

### deleteWorkflowDocument

    Boolean deleteWorkflowDocument(WfDocumentBean docBean)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.